GFARM2FS(1)

NAME
gfarm2fs - mount a Gfarm file system

SYNOPSIS
gfarm2fs mount_point [ options ]

DESCRIPTION

gfarm2fs mounts the Gfarm file system at the specified mount point.

GENERAL OPTIONS

-h  display a list of command options.

-V  display version.

-o opt,[opt...]
    specify mount options.

GFARM2FS OPTIONS

-o syslog=facility
    specify syslog facility. default is local0.

-o loglevel=priority
    specify syslog priority level. default is notice.

-E T
    specify the timeout of attribute cache. default is 1.0 seconds.

-o gfs_stat_timeout=T
    same as -E option

-o ncopy=N
    specify the number of copies automatically created when a file is created. default is 0, which means disabling automatic replication mechanism.

-o copy_limit=N
    specify the maximum number of concurrent copy creations. this is effective if automatic replication is enabled. default is 0.

-o disable_genuine_nlink
    uses faked st_nlink (32000) of struct stat for directories.

-o directory_quota_rename_error_exdev
    enables client-side directory move between directories which belong to different directory quota. CAUTION: such client-side move will be really slow, because all files under the directory will be copied from source filesystem nodes to the client, and be copied back to destination filesystem nodes, and because this operation is essentially same with copy and remove, file owner settings may not be preserved, and it's possible that some directories cannot be correctly moved due to permission problems.

-o auto_uid_min=N
    specify the minimum UID automatically assigned.

-o auto_uid_max=N
    specify the maximum UID automatically assigned.

-o auto_gid_min=N
    specify the minimum GID automatically assigned.

-o auto_gid_max=N
    specify the maximum GID automatically assigned.

FUSE OPTIONS

see gfarm2fs -h

ENVIRONMENT VARIABLE

GFARM_CONFIG_FILE
    specifies the Gfarm configuration file.

NOTES

When there is not the same local account name as the Gfarm global user name, a temporal UID is assigned between auto_uid_min and auto_uid_max. When there is not the same local group name as the Gfarm global group name, a temporal GID is assigned between auto_gid_min and auto_gid_max.

When a temporal UID/GID cannot be assigned, setfacl(1) fails with EPERM.

SECURITY NOTES

When untrusted users are registered in the gfarmroot group or gfarm_root.{user,group} extended attributes of any files or directories, a Security Hole exists on the mount point of gfarm2fs with "-o suid,allow_other" option executed by root (even if either "-o ro" option or "-o default_permissions" option is also specified). Therefore both "-o suid,allow_other" option and gfarm_root.{user,group} extended attributes should not be used.

SEE ALSO

fusermount(1), gfarm_attr(5), gfarm2.conf(5), mount(8)